#
# spec file for package perl-XML-XPath (Version 1.13)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-XML-XPath
BuildRequires:  perl perl-XML-Parser
Version:        1.13
Release:        1.1
Requires:       perl-XML-Parser
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License, GPL v2 or later
URL:            http://search.cpan.org/~msergeant/
Summary:        A set of modules for parsing and evaluating XPath statements
Source:         http://cpan.org/modules/by-module/XML/XML-XPath-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module aims to comply exactly to the XPath specification at
http://www.w3.org/TR/xpath and yet allow extensions to be added in the
form of functions. Modules such as XSLT and XPointer may need to do
this as they support functionality beyond XPath.



Authors:
--------
    Matt Sergeant <matt@sergeant.org>

%prep
%setup -q -n XML-XPath-%{version}

%build
perl Makefile.PL
make

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xpath
%doc README TODO
%doc %{_mandir}/man?/*
%{perl_vendorlib}/XML
%{perl_vendorarch}/auto/XML/XPath
/var/adm/perl-modules/%{name}

%changelog
* Mon Jul 30 2007 mvidner@suse.cz
- package created, needed for yast2-metapackage-handler
- v 1.13
